Skip to main content
POST
/
webhook-subscriptions
Create a webhook subscription
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/webhook-subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "eventTypes": [
    "<string>"
  ],
  "targetUrl": "<string>",
  "secret": "<string>",
  "description": "<string>"
}
'
{
  "subscriptionId": "whs_01JQ9MY6CD6BY6NAE5A3N45PBN",
  "eventTypes": [
    "<string>"
  ],
  "targetUrl": "<string>",
  "signingKeyId": "whk_01JQ9MZ4K6R9HXB6D5DR55VQY8",
  "status": "active",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
eventTypes
string[]
required
targetUrl
string<uri>
required
secret
string
description
string

Response

Subscription created

subscriptionId
string
Example:

"whs_01JQ9MY6CD6BY6NAE5A3N45PBN"

eventTypes
string[]
targetUrl
string<uri>
signingKeyId
string
Example:

"whk_01JQ9MZ4K6R9HXB6D5DR55VQY8"

status
enum<string>
Available options:
active,
paused
createdAt
string<date-time>